<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가
$colspan = 4;
$mod = 4; //이미지 가로 갯수
//if ($is_category) $colspan++;
if ($is_checkbox) $colspan++;
if ($is_good) $colspan++;
if ($is_nogood) $colspan++;

// 스킨 공통 인클루드
include_once $g4[path] . '/xe/lib/xe.image.lib.php';
$data_path = $g4['path'] . "/data/file/" . $bo_table;
$path_save_dir = $data_path . '/thumb';
if (!is_dir($path_save_dir)) {
    @mkdir($path_save_dir);
    @chmod($path_save_dir, 0707);
}

// 글(썸네일) 출력 갯수 수정
$thumb_print_num = "$options";
$save_w = '150'; //썸네일넓이
$save_h = '100';   //썸에일높이
$options = Array();
$options['save_force'] = 1;
$options['crop_use'] = 1;
$options['crop_pos_width'] = 2;
$options['crop_pos_height'] = 2;
?>
<link rel="stylesheet" href="<?=$board_skin_path?>/board.css" type="text/css">

<!-- 상단 -->
<div class="board_top">
  <div style="float:left;margin-left:5px;">총<span style="font-size:8pt;color:#e23013;"> <?=number_format($total_count)?></span>개의 글이 있습니다. </div>
  <div style="float:left;margin:-3px 0 0 5px;" class="board_category">
    <form name="fcategory" method="get" style="margin:0px;">
    <? if ($is_category) { ?>
    <select name=sca onchange="location='<?=$category_location?>'+<?=strtolower($g4[charset])=='utf-8' ? "encodeURIComponent(this.value)" : "this.value"?>;">
    <option value=''>전체</option>
    <?=$category_option?>
    </select>
    <? } ?>
    </form>
  </div>
  <div style="float:right;margin-right:5px;">
    <? if ($rss_href) { ?><a href='<?=$rss_href?>'><img src='<?=$board_skin_path?>/img/btn_rss.gif' border='0' align="absmiddle"></a><?}?>
    <? if ($admin_href) { ?><a href="<?=$admin_href?>"><img src="<?=$board_skin_path?>/img/btn_admin.gif" border='0' title="관리자" align="absmiddle"></a><?}?>
  </div>
  <div style="clear:both;"></div>
</div>
<!-- //상단 -->

<!-- 목록 -->
<form name="fboardlist" method="post">
<input type='hidden' name='bo_table' value='<?=$bo_table?>'>
<input type='hidden' name='sfl'  value='<?=$sfl?>'>
<input type='hidden' name='stx'  value='<?=$stx?>'>
<input type='hidden' name='spt'  value='<?=$spt?>'>
<input type='hidden' name='page' value='<?=$page?>'>
<input type='hidden' name='sw'   value=''>

<table class="list2" width="<?=$width?>">
<tr style=vertical-align:top;>
  <!-- 목록 -->
  <?
  for ($i=0; $i<count($list); $i++) {
      if ($i && $i%$mod==0)
          echo "</tr><tr style=vertical-align:top;>";
      preg_match("`src\s*=([^>]+\.(gif|jp?g|png))('|\"|\s|>)`iU", $list[$i]['wr_content'], $m);
      $m[1] = preg_replace("`[\s\"']+`", '', $m[1]);
      $path_src_url = $m[1];
      $path_src_file = $data_path . "/" . $list[$i][file][0][file];
      $path_save_file = $path_save_dir . '/latest_' . $save_w . 'X' . $save_h . '_' .$list[$i]['wr_id'] . '.jpg';
        /*
        if (!file_exists($list[$i]['thumbnail']) && $path_src_url){
            $list[$i]['thumbnail'] = $path_save_file;
        } else if ($list[$i][file][0][file]) {
            create_thumbnail($path_src_url, $path_save_file, $save_w, $save_h, $options);
            $list[$i]['thumbnail'] = $path_save_file;
        }
      */
      // 12.05.29[화] 임동덕 수정
      if (!file_exists($path_save_file)){
          // 썸네일이 생성 되지 않았을경우에만 동작함. 게속 적인 썸네일 생성은 속도 저하를 이야기함
          // create_thumbnail($path_src_url, $path_save_file, $save_w, $save_h, $options);  // 본문에서 이미지를 추출하지 않기 때문에 주석 처리
          create_thumbnail($path_src_file, $path_save_file, $save_w, $save_h, $options); // 첨부파일에서 이미지를 썸네일로 만든다.
          $path_save_file = $path_save_file;
      }
  ?>
  <td style="padding-top:10px;padding-bottom:10px;">
    <? if (file_exists($path_save_file)) {?>
    <div style="text-align:center;"><div class="thumb_photo01"><a href="<?=$list[$i][href]?>"><img src="<?=$path_save_file?>"></a></div></div>
    <? } else { ?>
    <? }?>
    <div style="text-align:center;">
      <div style="margin:0 auto;width:<?=$save_w?>px;word-break:break-all;text-align:left;">
        <?
      echo $list[$i][reply];
      echo $list[$i][icon_reply]." ";
      if ($list[$i][is_notice]) {
          // 공지사항
          echo "<span style='font:bold 7pt tahoma; color:#ff6000;'>n</span>";
      }
      else if ($wr_id == $list[$i][wr_id]) {
          // 현재위치
          echo "<span style='font:bold 7pt tahoma; color:#333333;'>{$list[$i][num]}</span>";
      }
      else {
          echo "<span style='font:normal 7pt tahoma; color:#666666;'>{$list[$i][num]}</span>";
      }
	      //사진갯수출력
      if ($list[$i]['file']['count']) {
          echo " <span class=\"divis\">|</span> <span class=\"thumb_n_photo\">photo : {$list[$i]['file']['count']}</span> <span class=\"divis\">|</span> ";
      }
      echo "<span class=\"thumb_n_hit\">".number_format($list[$i][wr_hit])." hit</span><div class=\"thumb_line\"></div>";
      if ($is_admin == "super" || $is_auth) {
          echo "<span style=\"font:11px tahoma; color:#a00;\">{$list[$i][wr_4]} </span>";
      }
      if ($is_category && $list[$i][ca_name]) {
          echo "<span style=font-size:9pt;><a href='{$list[$i][ca_name_href]}'><span style='{$ca_style}'>{$list[$i][ca_name]}</span></a> </span><br>";
      }
      $style = "";
      if ($list[$i][is_notice]) {
          $style = " style='font-weight:bold;'";
      }
      echo "<span style=\"line-height:1.5;\"><a href='{$list[$i][href]}' $style>";
      echo $list[$i][subject];
      echo "</a></span>";
      if ($list[$i][comment_cnt]){
          echo " <a href=\"{$list[$i][comment_href]}\" style='display:inline-block;'><span class=\"thumb_n_comment\">{$list[$i][comment_cnt]}</span></a>";
      }
      echo " " . $list[$i][icon_new];
      echo "".$list[$i][icon_secret];
        ?>
        <br>
        <span class="thumb_n_date">date : <?=date("Y.m.d", strtotime($list[$i]['wr_datetime']));?></span>
        <? if ($is_checkbox) { ?><br><input type=checkbox name=chk_wr_id[] value="<?=$list[$i][wr_id]?>" style="margin:5px 0;padding:0px;"><? } ?>
      </div>
    </div>
  </td>
  <?
  }
  // 나머지 td
  $cnt = $i%$mod;
  if ($cnt)
      for ($i=$cnt; $i<$mod; $i++)
          echo "<td width='{$td_width}%'>&nbsp;</td>";
  ?>
</tr>
<? if (count($list) == 0) { echo "<tr><td colspan='$colspan' height=100 align=center>게시물이 없습니다.</td></tr>"; } ?>
</table>
</form>
<!-- //목록 -->

<!-- UI Object -->
<div class="btn_both">
  <div class="fl">
    <? if ($write_href) { ?><a href="<?=$write_href?>" class="btn_big"><strong>글쓰기</strong></a><? } ?>
    <? if ($list_href) { ?><a href="<?=$list_href?>" class="btn_big"><span>리스트</span></a><? } ?>
  </div>
  <div class="fr">
    <? if ($is_checkbox) { ?>
    <a href="javascript:select_delete();" class="btn_sml"><span>삭제</span></a>
    <a href="javascript:select_copy('copy');" class="btn_sml"><span>복사</span></a>
    <a href="javascript:select_copy('move');" class="btn_sml"><span>이동</span></a>
    <? } ?>
  </div>
</div>
<!-- //UI Object -->


<!-- 페이지 -->
<div class="board_page">
  <? if ($prev_part_href) { echo "<a href='$prev_part_href'><img src='$board_skin_path/img/page_search_prev.gif' border='0' align=absmiddle title='이전검색'></a>"; } ?>
  <?=$write_pages?>
  <? if ($next_part_href) { echo "<a href='$next_part_href'><img src='$board_skin_path/img/page_search_next.gif' border='0' align=absmiddle title='다음검색'></a>"; } ?>
</div>
<div style="clear:both;"></div>
<!-- //페이지 -->

<!-- 검색 -->
<div class="board_search">
  <form name="fsearch" method="get">
  <input type="hidden" name="bo_table" value="<?=$bo_table?>">
  <input type="hidden" name="sca"      value="<?=$sca?>">
  <div style="float:left;">
    <select name="sfl"  class='ed'>
    <option value="wr_subject">제목</option>
    <option value="wr_content">내용</option>
    <option value="wr_subject||wr_content">제목+내용</option>
    <option value="mb_id,1">회원아이디</option>
    <option value="mb_id,0">회원아이디(코)</option>
    <option value="wr_name,1">글쓴이</option>
    <option value="wr_name,0">글쓴이(코)</option>
    </select>
    <select name="sop">
    <option value="and">AND</option>
    <option value="or">OR</option>
    </select>
  </div>
  <div style="float:left;padding-left:3px;">
    <input name="stx" class="ed" maxlength="15" itemname="검색어" required value='<?=stripslashes($stx)?>' style="border-top:1px solid #abadb3;border-left:1px solid #e3e9ef;border-right:1px solid #e3e9ef;border-bottom:1px solid #e3e9ef;height:17px;">
  </div>
  <div style="float:left;padding-left:3px;">
    <input type="image" src="<?=$board_skin_path?>/img/btn_search2.gif" border='0' align="absmiddle">
  </div>
  <div style="clear:both;"></div>
  </form>
</div>
<!-- //검색 -->

<script type="text/javascript">
if ('<?=$sca?>') document.fcategory.sca.value = '<?=$sca?>';
if ('<?=$stx?>') {
    document.fsearch.sfl.value = '<?=$sfl?>';
    if ('<?=$sop?>' == 'and')
        document.fsearch.sop[0].checked = true;
    if ('<?=$sop?>' == 'or')
        document.fsearch.sop[1].checked = true;
}
else {
    document.fsearch.sop[0].checked = true;
}
</script>
<? if ($is_checkbox) { ?>
<script type="text/javascript">
function all_checked(sw) {
    var f = document.fboardlist;
    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]")
            f.elements[i].checked = sw;
    }
}
function check_confirm(str) {
    var f = document.fboardlist;
    var chk_count = 0;
    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]" && f.elements[i].checked)
            chk_count++;
    }
    if (!chk_count) {
        alert(str + "할 게시물을 하나 이상 선택하세요.");
        return false;
    }
    return true;
}
// 선택한 게시물 삭제
function select_delete() {
    var f = document.fboardlist;
    str = "삭제";
    if (!check_confirm(str))
        return;
    if (!confirm("선택한 게시물을 정말 "+str+" 하시겠습니까?\n\n한번 "+str+"한 자료는 복구할 수 없습니다"))
        return;
    f.action = "./delete_all.php";
    f.submit();
}
// 선택한 게시물 복사 및 이동
function select_copy(sw) {
    var f = document.fboardlist;
    if (sw == "copy")
        str = "복사";
    else
        str = "이동";

    if (!check_confirm(str))
        return;
    var sub_win = window.open("", "move", "left=50, top=50, width=500, height=550, scrollbars=1");
    f.sw.value = sw;
    f.target = "move";
    f.action = "./move.php";
    f.submit();
}
</script>
<? } ?>